> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable or disable an MCP-discovered target tool



## OpenAPI

````yaml /openapi/control-plane-public.json patch /api/v1/workspaces/{workspaceId}/targets/{targetId}/mcp/servers/{serverId}/tools/{toolName}
openapi: 3.1.0
info:
  title: AcornOps Control Plane API
  version: 0.0.1-experimental.1
  description: >-
    Control plane API for workspaces, targets, Kubernetes clusters, virtual
    machines, sessions, runs, auth, and internal execution wiring.
servers:
  - url: https://api.acornops.dev
security: []
tags:
  - name: health
    description: Health and readiness endpoints.
  - name: auth
    description: >-
      OIDC, password, browser session, and external integration account link
      endpoints.
  - name: workspaces
    description: Workspace, target, Kubernetes cluster, and VM management endpoints.
  - name: webhooks
    description: Best-effort webhook subscription and delivery history endpoints.
  - name: sessions
    description: Session and message endpoints.
  - name: runs
    description: Run query, cancel, and stream endpoints.
  - name: workflows
    description: >-
      Workspace workflow definitions, schedules, sessions, and approval inbox
      endpoints.
  - name: agents
    description: >-
      Workspace-scoped custom agent definitions, triggers, versions, tests, and
      activity.
  - name: admin
    description: Operator-only admin API protected exclusively by admin bearer tokens.
  - name: internal
    description: Internal execution endpoints for execution-engine.
paths:
  /api/v1/workspaces/{workspaceId}/targets/{targetId}/mcp/servers/{serverId}/tools/{toolName}:
    patch:
      tags:
        - workspaces
      summary: Enable or disable an MCP-discovered target tool
      parameters:
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
            format: uuid
            example: 4b930d98-add9-4924-ab26-3c16d96ec373
        - in: path
          name: targetId
          required: true
          schema:
            type: string
            format: uuid
            example: 5b006e4c-509c-458a-9f02-5aafbdc01ade
        - in: path
          name: serverId
          required: true
          schema:
            type: string
            format: uuid
            example: 42573ae4-0a1f-4488-ae1f-e6bd3fd2469b
        - in: path
          name: toolName
          required: true
          schema:
            type: string
            example: github.search_repositories
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - enabled
              properties:
                enabled:
                  type: boolean
                  example: true
                capability:
                  type: string
                  enum:
                    - read
                    - write
                  description: Required when enabling a discovered external MCP tool.
              example:
                enabled: true
                capability: read
      responses:
        '200':
          description: MCP tool setting updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpTool'
        '400':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: MCP server or tool not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - userSession: []
components:
  schemas:
    McpTool:
      type: object
      required:
        - name
      properties:
        name:
          type: string
        description:
          type: string
        capability:
          type: string
          enum:
            - read
            - write
        inputSchema:
          type: object
          additionalProperties: true
        enabledConfigured:
          type: boolean
        enabledEffective:
          type: boolean
        effectiveDisabledReason:
          type: string
          enum:
            - server_disabled
            - agent_write_disabled
          nullable: true
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
              description: Optional structured error details.
  securitySchemes:
    userSession:
      type: apiKey
      in: cookie
      name: acornops_cp_session

````